Robotsystem from Robot Group Leipzig: SliderJoint Class Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# SliderJoint Class Reference

`#include <joint.h>`

Inheritance diagram for SliderJoint:

[legend]
Collaboration diagram for SliderJoint:

[legend]
List of all members.

## Detailed Description

Definition at line 269 of file joint.h.

## Public Member Functions
| SliderJoint (Primitive *part1, Primitive *part2, const osg::Vec3 &anchor, const Axis &axis1)
virtual | ~SliderJoint ()
virtual void | init (const OdeHandle &odeHandle, const OsgHandle &osgHandle, bool withVisual=true, double visualSize=0.1)
| initialises (and creates) the joint.
virtual void | update ()
| should syncronise the Ode stuff and the OSG notes (if any)
virtual void | addForce (double t)
virtual double | getPosition1 ()
virtual double | getPosition1Rate ()
virtual void | setParam (int parameter, double value)
| sets the ODE joint parameter (see ODE manual)
virtual double | getParam (int parameter)
| return the ODE joint parameter (see ODE manual)
## Protected Attributes
OSGPrimitive * | visual
double | visualSize
OsgHandle | osgHandle

## Constructor & Destructor Documentation

SliderJoint | ( | Primitive * | part1,
|  | Primitive * | part2,
|  | const osg::Vec3 & | anchor,
|  | const Axis & | axis1
| ) |

| Definition at line 377 of file joint.cpp.

~SliderJoint | ( |  | ) | `[virtual]`

| Definition at line 382 of file joint.cpp.

## Member Function Documentation

void addForce | ( | double | t | ) | `[virtual]`

| Definition at line 427 of file joint.cpp.

double getParam | ( | int | parameter | ) | `[virtual]`

| return the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 443 of file joint.cpp.

double getPosition1 | ( |  | ) | `[virtual]`

| Implements OneAxisJoint. Definition at line 431 of file joint.cpp.

double getPosition1Rate | ( |  | ) | `[virtual]`

| Implements OneAxisJoint. Definition at line 435 of file joint.cpp.

void init | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | bool | withVisual = `true`,
|  | double | visualSize = `0.1`
| ) | `[virtual]`

| initialises (and creates) the joint. If visual is true then the axis of the joints is also drawn as a slim cylinder. VisualSize is added to the lenght of the slider and is used for the length of the cylinder. The radius is visualSize/10 Implements Joint. Definition at line 386 of file joint.cpp.

void setParam | ( | int | parameter,
|  | double | value
| ) | `[virtual]`

| sets the ODE joint parameter (see ODE manual) Implements Joint. Definition at line 439 of file joint.cpp.

void update | ( |  | ) | `[virtual]`

| should syncronise the Ode stuff and the OSG notes (if any) Implements Joint. Definition at line 407 of file joint.cpp.

## Member Data Documentation

OsgHandle osgHandle`[protected]`

| Definition at line 294 of file joint.h.

OSGPrimitive* visual`[protected]`

| Definition at line 292 of file joint.h.

double visualSize`[protected]`

| Definition at line 293 of file joint.h.